import { StyleSheet } from 'react-native';
import { Colors } from '../../../theme';
import { getFontSize } from '../../../utils';

export const styles = StyleSheet.create({
  pageWrapper: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    marginTop: 20,
    gap: 20
  },
  headerText: {
    flex: 1,
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14)
  },
  titleText: {
    flex: 1,
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: getFontSize(13)
  },
  countryFlag: {
    width: 20,
    height: 20,
    borderRadius: 20 / 2,
    borderWidth: 0.5,
    borderColor: 'gray'
  },
  settingsButton: {
    width: 40,
    height: 40,
    borderRadius: 40 / 2,
    borderWidth: 1,
    borderColor: Colors.LIGHT_GRAY,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
